Salve a tutti, oggi parlando con una mia amica di Visual Studio, ho voluto vedere se vi fossero altre cose da aggiungere a Gcc, quindi ho cercato gcc nel "ubuntu Software Center" ed ho provato a scaricare del materiale in più che vi era nel pacchetto Gcc, faccio partire il download, ed dopo pochi secondi mi compare un'icona tonda rossa, in alto a destra del monitor(vicino all'ora wi-fi ecc) con sui scritto

Si è verificato un errore. Per ulteriori informazioni avviare il gestore pacchetti...messaggio di errore e' Errore BrokenCount >0 , disolito questo significa che i pacchetti installati presentano delle dipendeze irrisolte

Vado poi in Ubuntu Software Center e anche qui mi da come errore:

Gli elementi non possono essere installati o rimossi fino a quando il catalogo software non verrà riparato, ripararlo ora?

Clicco su ripara e mi da il seguente errore:

Operazione di pacchetto non riuscita:
installArchives() failed: (Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 236674 files and directories currently installed.)
Unpacking libc6-dev-i386 (from .../libc6-dev-i386_2.15-0ubuntu10.5_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libc6-dev-i386_2.15-0ubuntu10.5_amd64.deb (--unpack):
 trying to overwrite '/usr/include/bits', which is also in package libstxxl-dev 1.3.1-1
No apport report written because MaxReports is reached already
Errors were encountered while processing:
 /var/cache/apt/archives/libc6-dev-i386_2.15-0ubuntu10.5_amd64.deb
Error in function: 
SystemError: E:Sub-process /usr/bin/dpkg returned an error code (1)
dpkg: dependency problems prevent configuration of gcc-4.6-multilib:
 gcc-4.6-multilib depends on libc6-dev-i386 (>= 2.11); however:
  Package libc6-dev-i386 is not installed.
dpkg: error processing gcc-4.6-multilib (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of gcc-multilib:
 gcc-multilib depends on gcc-4.6-multilib (>= 4.6.3-1~); however:
  Package gcc-4.6-multilib is not configured yet.
dpkg: error processing gcc-multilib (--configure):
 dependency problems - leaving unconfigured*

Quale può essere il problema? e cosa devo fare? Ho ubuntu 12.04 LTS. Grazie in anticipo

chiesto 20 Mag '14, 17:38

Zoifil's gravatar image

Zoifil
656711

modificato 20 Mag '14, 17:47

enzotib's gravatar image

enzotib ♦♦
14.0k112186

@Zoifil: esegui da terminale il comando seguente:
sudo apt-get update
copia tutto l'output che dà e mettilo su http://pastebin.com poi metti il link risultante in un commento.

(20 Mag '14, 17:49) enzotib ♦♦ enzotib's gravatar image

Grazie per la risposta, ecco il risultato http://pastebin.com/uiAipEQc

(20 Mag '14, 17:57) Zoifil Zoifil's gravatar image

@Zofil, allo stesso modo (con pastebin), l'output di:
apt-cache policy libc6-dev-i386 libstxxl-dev 1.3.1-1 gcc-4.6-multilib gcc-multilib

(20 Mag '14, 20:13) enzotib ♦♦ enzotib's gravatar image

ho trovato questo bug https://bugs.launchpad.net/ubuntu/+source/libstxxl/+bug/1005195 risolto con la versione 1.3.1-4 di libstxxl

(20 Mag '14, 23:24) letizia letizia's gravatar image
Scrivi tu la prima risposta!
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×170

domanda posta: 20 Mag '14, 17:38

domanda visualizzata: 510 volte

ultimo aggiornamento: 20 Mag '14, 23:24

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.